# Photocheck

Check that you copied all your photos off that SD card.

This tool is explicitly for the workflow of manually copying files from a single or few
directories (e.g. an SD card) into multiple other directories (e.g. by date or by
event). It verifies that all the files present in a source directory structure are
present in a destination directory structure.

## Status
Very much half baked, but does what I need it to do

## Safety
This tool uses a (filename, filesize) pair. So, will protect you if your file was
truncated for some reason, but not against file corruption due to dodgy SD card, cosmic
rays etc. Doing this rather than comparing contents or hashes allows us to run very
quickly over many files.


## Usage
`./photocheck path/to/source path/to/dest`
